Package org.eclipse.viatra.query.runtime.matchers.util

## Enum Accuracy

- java.lang.Object
- - java.lang.Enum<Accuracy>
  - - org.eclipse.viatra.query.runtime.matchers.util.Accuracy

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Accuracy>`

      public enum Accuracy
      extends java.lang.Enum<Accuracy>

  The degree of accuracy of a cardinality estimate
  Since:
    2.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `APPROXIMATION` |
    `BEST_LOWER_BOUND` |
    `BEST_UPPER_BOUND` |
    `EXACT_COUNT` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `atLeastAsPreciseAs​(Accuracy other)` | Partial order comparison.
    `Accuracy` | `reciprocal()` |
    `static Accuracy` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Accuracy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXACT_COUNT

          public static final Accuracy EXACT_COUNT

    - #### BEST_UPPER_BOUND

          public static final Accuracy BEST_UPPER_BOUND

    - #### BEST_LOWER_BOUND

          public static final Accuracy BEST_LOWER_BOUND

    - #### APPROXIMATION

          public static final Accuracy APPROXIMATION

  - ### Method Detail

    - #### values

          public static Accuracy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Accuracy c : Accuracy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Accuracy valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### atLeastAsPreciseAs

          public boolean atLeastAsPreciseAs​(Accuracy other)

      Partial order comparison.

    - #### reciprocal

          public Accuracy reciprocal()

      Returns:
        another accuracy value that is anti-monotonic to this one, i.e. an accuracy that should be used in the denominator to obtain a fraction with this accuracy